### Method

# GimpUi ResourceChooser get_resource

unstable since: 3.0

#### Declaration [src]

    GimpResource*
    gimp_resource_chooser_get_resource (
      GimpResourceChooser* chooser
    )

#### Description [src]

Gets the currently selected resource.

Available since: 3.0

Gets property | `GimpUi.ResourceChooser:resource`

#### Return value

Type: `GimpResource`

An internal copy of the resource which must not be freed.

The data is owned by the instance.